using SewingDressesListImplement.Models;

namespace SewingDressesListImplement
{
    public class DataListSingleton
    {
        private static DataListSingleton? _instance;
        public List<Component> Components { get; set; }
        public List<Order> Orders { get; set; }
        public List<Dress> Dresses { get; set; }
        public List<Client> Clients { get; set; }
        public List<Implement> Implements { get; set; }
		public List<MessageInfo> Messages { get; set; }
		private DataListSingleton()
        {
            Components = new List<Component>();
            Orders = new List<Order>();
            Dresses = new List<Dress>();
            Clients = new List<Client>();
            Implements = new List<Implement>();
            Messages = new List<MessageInfo>();
        }
        public static DataListSingleton GetInstance()
        {
            if (_instance == null)
            {
                _instance = new DataListSingleton();
            }
            return _instance;
        }
    }
}
